Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 123001 - crontab avc denies (as user)
crontab avc denies (as user)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-11 04:29 EDT by Leonard den Ottolander
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-20 08:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2004-05-11 04:29:09 EDT
policy-1.11.3-3, permissive mode.

$ crontab -l
May 11 10:23:58 a3aan kernel: audit(1084263838.454:0): avc:  denied  {
search } for  pid=2634 exe=/usr/bin/crontab dev= ino=1
scontext=user_u:user_r:user_crontab_t
tcontext=system_u:object_r:proc_t tclass=dir
May 11 10:23:58 a3aan kernel: audit(1084263838.456:0): avc:  denied  {
read } for  pid=2634 exe=/usr/bin/crontab name=mounts dev=
ino=-268435447 scontext=user_u:user_r:user_crontab_t
tcontext=system_u:object_r:proc_t tclass=lnk_file
May 11 10:23:58 a3aan kernel: audit(1084263838.457:0): avc:  denied  {
search } for  pid=2634 exe=/usr/bin/crontab name=2634 dev=
ino=172621826 scontext=user_u:user_r:user_crontab_t
tcontext=user_u:user_r:user_crontab_t tclass=dir
May 11 10:23:58 a3aan kernel: audit(1084263838.458:0): avc:  denied  {
read } for  pid=2634 exe=/usr/bin/crontab name=mounts dev=
ino=172621840 scontext=user_u:user_r:user_crontab_t
tcontext=user_u:user_r:user_crontab_t tclass=file
May 11 10:23:58 a3aan kernel: audit(1084263838.459:0): avc:  denied  {
getattr } for  pid=2634 exe=/usr/bin/crontab path=/proc/2634/mounts
dev= ino=172621840 scontext=user_u:user_r:user_crontab_t
tcontext=user_u:user_r:user_crontab_t tclass=file

Identical output for crontab -e.
Comment 1 Daniel Walsh 2004-06-02 14:52:52 EDT
fixed in selinux-policy-strict-1.13.2-8
Comment 2 Daniel Walsh 2004-07-20 08:36:15 EDT
Fixed in Rawhide

Note You need to log in before you can comment on or make changes to this bug.